Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network25.32.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
25.32.0.0
Broadcast address
25.32.127.255
First usable
25.32.0.1
Last usable
25.32.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 19200000 · Integer 421527552 to 421560319
Reverse DNS zones
0.32.25.in-addr.arpa
1.32.25.in-addr.arpa
2.32.25.in-addr.arpa
3.32.25.in-addr.arpa
4.32.25.in-addr.arpa
5.32.25.in-addr.arpa
6.32.25.in-addr.arpa
7.32.25.in-addr.arpa
8.32.25.in-addr.arpa
9.32.25.in-addr.arpa
10.32.25.in-addr.arpa
11.32.25.in-addr.arpa
12.32.25.in-addr.arpa
13.32.25.in-addr.arpa
14.32.25.in-addr.arpa
15.32.25.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011001.00100000.00000000.0000000025.32.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network00011001.00100000.00000000.0000000025.32.0.0
Broadcast00011001.00100000.01111111.1111111125.32.127.255
Split into smaller subnets/25

25.32.0.0/17 makes 256 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
125.32.0.0/2525.32.0.1 to 25.32.0.12625.32.0.127126
225.32.0.128/2525.32.0.129 to 25.32.0.25425.32.0.255126
325.32.1.0/2525.32.1.1 to 25.32.1.12625.32.1.127126
425.32.1.128/2525.32.1.129 to 25.32.1.25425.32.1.255126
525.32.2.0/2525.32.2.1 to 25.32.2.12625.32.2.127126
625.32.2.128/2525.32.2.129 to 25.32.2.25425.32.2.255126
725.32.3.0/2525.32.3.1 to 25.32.3.12625.32.3.127126
825.32.3.128/2525.32.3.129 to 25.32.3.25425.32.3.255126
925.32.4.0/2525.32.4.1 to 25.32.4.12625.32.4.127126
1025.32.4.128/2525.32.4.129 to 25.32.4.25425.32.4.255126
1125.32.5.0/2525.32.5.1 to 25.32.5.12625.32.5.127126
1225.32.5.128/2525.32.5.129 to 25.32.5.25425.32.5.255126
1325.32.6.0/2525.32.6.1 to 25.32.6.12625.32.6.127126
1425.32.6.128/2525.32.6.129 to 25.32.6.25425.32.6.255126
1525.32.7.0/2525.32.7.1 to 25.32.7.12625.32.7.127126
1625.32.7.128/2525.32.7.129 to 25.32.7.25425.32.7.255126
1725.32.8.0/2525.32.8.1 to 25.32.8.12625.32.8.127126
1825.32.8.128/2525.32.8.129 to 25.32.8.25425.32.8.255126
1925.32.9.0/2525.32.9.1 to 25.32.9.12625.32.9.127126
2025.32.9.128/2525.32.9.129 to 25.32.9.25425.32.9.255126
2125.32.10.0/2525.32.10.1 to 25.32.10.12625.32.10.127126
2225.32.10.128/2525.32.10.129 to 25.32.10.25425.32.10.255126
2325.32.11.0/2525.32.11.1 to 25.32.11.12625.32.11.127126
2425.32.11.128/2525.32.11.129 to 25.32.11.25425.32.11.255126
2525.32.12.0/2525.32.12.1 to 25.32.12.12625.32.12.127126
2625.32.12.128/2525.32.12.129 to 25.32.12.25425.32.12.255126
2725.32.13.0/2525.32.13.1 to 25.32.13.12625.32.13.127126
2825.32.13.128/2525.32.13.129 to 25.32.13.25425.32.13.255126
2925.32.14.0/2525.32.14.1 to 25.32.14.12625.32.14.127126
3025.32.14.128/2525.32.14.129 to 25.32.14.25425.32.14.255126
3125.32.15.0/2525.32.15.1 to 25.32.15.12625.32.15.127126
3225.32.15.128/2525.32.15.129 to 25.32.15.25425.32.15.255126
3325.32.16.0/2525.32.16.1 to 25.32.16.12625.32.16.127126
3425.32.16.128/2525.32.16.129 to 25.32.16.25425.32.16.255126
3525.32.17.0/2525.32.17.1 to 25.32.17.12625.32.17.127126
3625.32.17.128/2525.32.17.129 to 25.32.17.25425.32.17.255126
3725.32.18.0/2525.32.18.1 to 25.32.18.12625.32.18.127126
3825.32.18.128/2525.32.18.129 to 25.32.18.25425.32.18.255126
3925.32.19.0/2525.32.19.1 to 25.32.19.12625.32.19.127126
4025.32.19.128/2525.32.19.129 to 25.32.19.25425.32.19.255126
4125.32.20.0/2525.32.20.1 to 25.32.20.12625.32.20.127126
4225.32.20.128/2525.32.20.129 to 25.32.20.25425.32.20.255126
4325.32.21.0/2525.32.21.1 to 25.32.21.12625.32.21.127126
4425.32.21.128/2525.32.21.129 to 25.32.21.25425.32.21.255126
4525.32.22.0/2525.32.22.1 to 25.32.22.12625.32.22.127126
4625.32.22.128/2525.32.22.129 to 25.32.22.25425.32.22.255126
4725.32.23.0/2525.32.23.1 to 25.32.23.12625.32.23.127126
4825.32.23.128/2525.32.23.129 to 25.32.23.25425.32.23.255126
4925.32.24.0/2525.32.24.1 to 25.32.24.12625.32.24.127126
5025.32.24.128/2525.32.24.129 to 25.32.24.25425.32.24.255126
5125.32.25.0/2525.32.25.1 to 25.32.25.12625.32.25.127126
5225.32.25.128/2525.32.25.129 to 25.32.25.25425.32.25.255126
5325.32.26.0/2525.32.26.1 to 25.32.26.12625.32.26.127126
5425.32.26.128/2525.32.26.129 to 25.32.26.25425.32.26.255126
5525.32.27.0/2525.32.27.1 to 25.32.27.12625.32.27.127126
5625.32.27.128/2525.32.27.129 to 25.32.27.25425.32.27.255126
5725.32.28.0/2525.32.28.1 to 25.32.28.12625.32.28.127126
5825.32.28.128/2525.32.28.129 to 25.32.28.25425.32.28.255126
5925.32.29.0/2525.32.29.1 to 25.32.29.12625.32.29.127126
6025.32.29.128/2525.32.29.129 to 25.32.29.25425.32.29.255126
6125.32.30.0/2525.32.30.1 to 25.32.30.12625.32.30.127126
6225.32.30.128/2525.32.30.129 to 25.32.30.25425.32.30.255126
6325.32.31.0/2525.32.31.1 to 25.32.31.12625.32.31.127126
6425.32.31.128/2525.32.31.129 to 25.32.31.25425.32.31.255126
6525.32.32.0/2525.32.32.1 to 25.32.32.12625.32.32.127126
6625.32.32.128/2525.32.32.129 to 25.32.32.25425.32.32.255126
6725.32.33.0/2525.32.33.1 to 25.32.33.12625.32.33.127126
6825.32.33.128/2525.32.33.129 to 25.32.33.25425.32.33.255126
6925.32.34.0/2525.32.34.1 to 25.32.34.12625.32.34.127126
7025.32.34.128/2525.32.34.129 to 25.32.34.25425.32.34.255126
7125.32.35.0/2525.32.35.1 to 25.32.35.12625.32.35.127126
7225.32.35.128/2525.32.35.129 to 25.32.35.25425.32.35.255126
7325.32.36.0/2525.32.36.1 to 25.32.36.12625.32.36.127126
7425.32.36.128/2525.32.36.129 to 25.32.36.25425.32.36.255126
7525.32.37.0/2525.32.37.1 to 25.32.37.12625.32.37.127126
7625.32.37.128/2525.32.37.129 to 25.32.37.25425.32.37.255126
7725.32.38.0/2525.32.38.1 to 25.32.38.12625.32.38.127126
7825.32.38.128/2525.32.38.129 to 25.32.38.25425.32.38.255126
7925.32.39.0/2525.32.39.1 to 25.32.39.12625.32.39.127126
8025.32.39.128/2525.32.39.129 to 25.32.39.25425.32.39.255126
8125.32.40.0/2525.32.40.1 to 25.32.40.12625.32.40.127126
8225.32.40.128/2525.32.40.129 to 25.32.40.25425.32.40.255126
8325.32.41.0/2525.32.41.1 to 25.32.41.12625.32.41.127126
8425.32.41.128/2525.32.41.129 to 25.32.41.25425.32.41.255126
8525.32.42.0/2525.32.42.1 to 25.32.42.12625.32.42.127126
8625.32.42.128/2525.32.42.129 to 25.32.42.25425.32.42.255126
8725.32.43.0/2525.32.43.1 to 25.32.43.12625.32.43.127126
8825.32.43.128/2525.32.43.129 to 25.32.43.25425.32.43.255126
8925.32.44.0/2525.32.44.1 to 25.32.44.12625.32.44.127126
9025.32.44.128/2525.32.44.129 to 25.32.44.25425.32.44.255126
9125.32.45.0/2525.32.45.1 to 25.32.45.12625.32.45.127126
9225.32.45.128/2525.32.45.129 to 25.32.45.25425.32.45.255126
9325.32.46.0/2525.32.46.1 to 25.32.46.12625.32.46.127126
9425.32.46.128/2525.32.46.129 to 25.32.46.25425.32.46.255126
9525.32.47.0/2525.32.47.1 to 25.32.47.12625.32.47.127126
9625.32.47.128/2525.32.47.129 to 25.32.47.25425.32.47.255126
9725.32.48.0/2525.32.48.1 to 25.32.48.12625.32.48.127126
9825.32.48.128/2525.32.48.129 to 25.32.48.25425.32.48.255126
9925.32.49.0/2525.32.49.1 to 25.32.49.12625.32.49.127126
10025.32.49.128/2525.32.49.129 to 25.32.49.25425.32.49.255126
10125.32.50.0/2525.32.50.1 to 25.32.50.12625.32.50.127126
10225.32.50.128/2525.32.50.129 to 25.32.50.25425.32.50.255126
10325.32.51.0/2525.32.51.1 to 25.32.51.12625.32.51.127126
10425.32.51.128/2525.32.51.129 to 25.32.51.25425.32.51.255126
10525.32.52.0/2525.32.52.1 to 25.32.52.12625.32.52.127126
10625.32.52.128/2525.32.52.129 to 25.32.52.25425.32.52.255126
10725.32.53.0/2525.32.53.1 to 25.32.53.12625.32.53.127126
10825.32.53.128/2525.32.53.129 to 25.32.53.25425.32.53.255126
10925.32.54.0/2525.32.54.1 to 25.32.54.12625.32.54.127126
11025.32.54.128/2525.32.54.129 to 25.32.54.25425.32.54.255126
11125.32.55.0/2525.32.55.1 to 25.32.55.12625.32.55.127126
11225.32.55.128/2525.32.55.129 to 25.32.55.25425.32.55.255126
11325.32.56.0/2525.32.56.1 to 25.32.56.12625.32.56.127126
11425.32.56.128/2525.32.56.129 to 25.32.56.25425.32.56.255126
11525.32.57.0/2525.32.57.1 to 25.32.57.12625.32.57.127126
11625.32.57.128/2525.32.57.129 to 25.32.57.25425.32.57.255126
11725.32.58.0/2525.32.58.1 to 25.32.58.12625.32.58.127126
11825.32.58.128/2525.32.58.129 to 25.32.58.25425.32.58.255126
11925.32.59.0/2525.32.59.1 to 25.32.59.12625.32.59.127126
12025.32.59.128/2525.32.59.129 to 25.32.59.25425.32.59.255126
12125.32.60.0/2525.32.60.1 to 25.32.60.12625.32.60.127126
12225.32.60.128/2525.32.60.129 to 25.32.60.25425.32.60.255126
12325.32.61.0/2525.32.61.1 to 25.32.61.12625.32.61.127126
12425.32.61.128/2525.32.61.129 to 25.32.61.25425.32.61.255126
12525.32.62.0/2525.32.62.1 to 25.32.62.12625.32.62.127126
12625.32.62.128/2525.32.62.129 to 25.32.62.25425.32.62.255126
12725.32.63.0/2525.32.63.1 to 25.32.63.12625.32.63.127126
12825.32.63.128/2525.32.63.129 to 25.32.63.25425.32.63.255126
12925.32.64.0/2525.32.64.1 to 25.32.64.12625.32.64.127126
13025.32.64.128/2525.32.64.129 to 25.32.64.25425.32.64.255126
13125.32.65.0/2525.32.65.1 to 25.32.65.12625.32.65.127126
13225.32.65.128/2525.32.65.129 to 25.32.65.25425.32.65.255126
13325.32.66.0/2525.32.66.1 to 25.32.66.12625.32.66.127126
13425.32.66.128/2525.32.66.129 to 25.32.66.25425.32.66.255126
13525.32.67.0/2525.32.67.1 to 25.32.67.12625.32.67.127126
13625.32.67.128/2525.32.67.129 to 25.32.67.25425.32.67.255126
13725.32.68.0/2525.32.68.1 to 25.32.68.12625.32.68.127126
13825.32.68.128/2525.32.68.129 to 25.32.68.25425.32.68.255126
13925.32.69.0/2525.32.69.1 to 25.32.69.12625.32.69.127126
14025.32.69.128/2525.32.69.129 to 25.32.69.25425.32.69.255126
14125.32.70.0/2525.32.70.1 to 25.32.70.12625.32.70.127126
14225.32.70.128/2525.32.70.129 to 25.32.70.25425.32.70.255126
14325.32.71.0/2525.32.71.1 to 25.32.71.12625.32.71.127126
14425.32.71.128/2525.32.71.129 to 25.32.71.25425.32.71.255126
14525.32.72.0/2525.32.72.1 to 25.32.72.12625.32.72.127126
14625.32.72.128/2525.32.72.129 to 25.32.72.25425.32.72.255126
14725.32.73.0/2525.32.73.1 to 25.32.73.12625.32.73.127126
14825.32.73.128/2525.32.73.129 to 25.32.73.25425.32.73.255126
14925.32.74.0/2525.32.74.1 to 25.32.74.12625.32.74.127126
15025.32.74.128/2525.32.74.129 to 25.32.74.25425.32.74.255126
15125.32.75.0/2525.32.75.1 to 25.32.75.12625.32.75.127126
15225.32.75.128/2525.32.75.129 to 25.32.75.25425.32.75.255126
15325.32.76.0/2525.32.76.1 to 25.32.76.12625.32.76.127126
15425.32.76.128/2525.32.76.129 to 25.32.76.25425.32.76.255126
15525.32.77.0/2525.32.77.1 to 25.32.77.12625.32.77.127126
15625.32.77.128/2525.32.77.129 to 25.32.77.25425.32.77.255126
15725.32.78.0/2525.32.78.1 to 25.32.78.12625.32.78.127126
15825.32.78.128/2525.32.78.129 to 25.32.78.25425.32.78.255126
15925.32.79.0/2525.32.79.1 to 25.32.79.12625.32.79.127126
16025.32.79.128/2525.32.79.129 to 25.32.79.25425.32.79.255126
16125.32.80.0/2525.32.80.1 to 25.32.80.12625.32.80.127126
16225.32.80.128/2525.32.80.129 to 25.32.80.25425.32.80.255126
16325.32.81.0/2525.32.81.1 to 25.32.81.12625.32.81.127126
16425.32.81.128/2525.32.81.129 to 25.32.81.25425.32.81.255126
16525.32.82.0/2525.32.82.1 to 25.32.82.12625.32.82.127126
16625.32.82.128/2525.32.82.129 to 25.32.82.25425.32.82.255126
16725.32.83.0/2525.32.83.1 to 25.32.83.12625.32.83.127126
16825.32.83.128/2525.32.83.129 to 25.32.83.25425.32.83.255126
16925.32.84.0/2525.32.84.1 to 25.32.84.12625.32.84.127126
17025.32.84.128/2525.32.84.129 to 25.32.84.25425.32.84.255126
17125.32.85.0/2525.32.85.1 to 25.32.85.12625.32.85.127126
17225.32.85.128/2525.32.85.129 to 25.32.85.25425.32.85.255126
17325.32.86.0/2525.32.86.1 to 25.32.86.12625.32.86.127126
17425.32.86.128/2525.32.86.129 to 25.32.86.25425.32.86.255126
17525.32.87.0/2525.32.87.1 to 25.32.87.12625.32.87.127126
17625.32.87.128/2525.32.87.129 to 25.32.87.25425.32.87.255126
17725.32.88.0/2525.32.88.1 to 25.32.88.12625.32.88.127126
17825.32.88.128/2525.32.88.129 to 25.32.88.25425.32.88.255126
17925.32.89.0/2525.32.89.1 to 25.32.89.12625.32.89.127126
18025.32.89.128/2525.32.89.129 to 25.32.89.25425.32.89.255126
18125.32.90.0/2525.32.90.1 to 25.32.90.12625.32.90.127126
18225.32.90.128/2525.32.90.129 to 25.32.90.25425.32.90.255126
18325.32.91.0/2525.32.91.1 to 25.32.91.12625.32.91.127126
18425.32.91.128/2525.32.91.129 to 25.32.91.25425.32.91.255126
18525.32.92.0/2525.32.92.1 to 25.32.92.12625.32.92.127126
18625.32.92.128/2525.32.92.129 to 25.32.92.25425.32.92.255126
18725.32.93.0/2525.32.93.1 to 25.32.93.12625.32.93.127126
18825.32.93.128/2525.32.93.129 to 25.32.93.25425.32.93.255126
18925.32.94.0/2525.32.94.1 to 25.32.94.12625.32.94.127126
19025.32.94.128/2525.32.94.129 to 25.32.94.25425.32.94.255126
19125.32.95.0/2525.32.95.1 to 25.32.95.12625.32.95.127126
19225.32.95.128/2525.32.95.129 to 25.32.95.25425.32.95.255126
19325.32.96.0/2525.32.96.1 to 25.32.96.12625.32.96.127126
19425.32.96.128/2525.32.96.129 to 25.32.96.25425.32.96.255126
19525.32.97.0/2525.32.97.1 to 25.32.97.12625.32.97.127126
19625.32.97.128/2525.32.97.129 to 25.32.97.25425.32.97.255126
19725.32.98.0/2525.32.98.1 to 25.32.98.12625.32.98.127126
19825.32.98.128/2525.32.98.129 to 25.32.98.25425.32.98.255126
19925.32.99.0/2525.32.99.1 to 25.32.99.12625.32.99.127126
20025.32.99.128/2525.32.99.129 to 25.32.99.25425.32.99.255126
20125.32.100.0/2525.32.100.1 to 25.32.100.12625.32.100.127126
20225.32.100.128/2525.32.100.129 to 25.32.100.25425.32.100.255126
20325.32.101.0/2525.32.101.1 to 25.32.101.12625.32.101.127126
20425.32.101.128/2525.32.101.129 to 25.32.101.25425.32.101.255126
20525.32.102.0/2525.32.102.1 to 25.32.102.12625.32.102.127126
20625.32.102.128/2525.32.102.129 to 25.32.102.25425.32.102.255126
20725.32.103.0/2525.32.103.1 to 25.32.103.12625.32.103.127126
20825.32.103.128/2525.32.103.129 to 25.32.103.25425.32.103.255126
20925.32.104.0/2525.32.104.1 to 25.32.104.12625.32.104.127126
21025.32.104.128/2525.32.104.129 to 25.32.104.25425.32.104.255126
21125.32.105.0/2525.32.105.1 to 25.32.105.12625.32.105.127126
21225.32.105.128/2525.32.105.129 to 25.32.105.25425.32.105.255126
21325.32.106.0/2525.32.106.1 to 25.32.106.12625.32.106.127126
21425.32.106.128/2525.32.106.129 to 25.32.106.25425.32.106.255126
21525.32.107.0/2525.32.107.1 to 25.32.107.12625.32.107.127126
21625.32.107.128/2525.32.107.129 to 25.32.107.25425.32.107.255126
21725.32.108.0/2525.32.108.1 to 25.32.108.12625.32.108.127126
21825.32.108.128/2525.32.108.129 to 25.32.108.25425.32.108.255126
21925.32.109.0/2525.32.109.1 to 25.32.109.12625.32.109.127126
22025.32.109.128/2525.32.109.129 to 25.32.109.25425.32.109.255126
22125.32.110.0/2525.32.110.1 to 25.32.110.12625.32.110.127126
22225.32.110.128/2525.32.110.129 to 25.32.110.25425.32.110.255126
22325.32.111.0/2525.32.111.1 to 25.32.111.12625.32.111.127126
22425.32.111.128/2525.32.111.129 to 25.32.111.25425.32.111.255126
22525.32.112.0/2525.32.112.1 to 25.32.112.12625.32.112.127126
22625.32.112.128/2525.32.112.129 to 25.32.112.25425.32.112.255126
22725.32.113.0/2525.32.113.1 to 25.32.113.12625.32.113.127126
22825.32.113.128/2525.32.113.129 to 25.32.113.25425.32.113.255126
22925.32.114.0/2525.32.114.1 to 25.32.114.12625.32.114.127126
23025.32.114.128/2525.32.114.129 to 25.32.114.25425.32.114.255126
23125.32.115.0/2525.32.115.1 to 25.32.115.12625.32.115.127126
23225.32.115.128/2525.32.115.129 to 25.32.115.25425.32.115.255126
23325.32.116.0/2525.32.116.1 to 25.32.116.12625.32.116.127126
23425.32.116.128/2525.32.116.129 to 25.32.116.25425.32.116.255126
23525.32.117.0/2525.32.117.1 to 25.32.117.12625.32.117.127126
23625.32.117.128/2525.32.117.129 to 25.32.117.25425.32.117.255126
23725.32.118.0/2525.32.118.1 to 25.32.118.12625.32.118.127126
23825.32.118.128/2525.32.118.129 to 25.32.118.25425.32.118.255126
23925.32.119.0/2525.32.119.1 to 25.32.119.12625.32.119.127126
24025.32.119.128/2525.32.119.129 to 25.32.119.25425.32.119.255126
24125.32.120.0/2525.32.120.1 to 25.32.120.12625.32.120.127126
24225.32.120.128/2525.32.120.129 to 25.32.120.25425.32.120.255126
24325.32.121.0/2525.32.121.1 to 25.32.121.12625.32.121.127126
24425.32.121.128/2525.32.121.129 to 25.32.121.25425.32.121.255126
24525.32.122.0/2525.32.122.1 to 25.32.122.12625.32.122.127126
24625.32.122.128/2525.32.122.129 to 25.32.122.25425.32.122.255126
24725.32.123.0/2525.32.123.1 to 25.32.123.12625.32.123.127126
24825.32.123.128/2525.32.123.129 to 25.32.123.25425.32.123.255126
24925.32.124.0/2525.32.124.1 to 25.32.124.12625.32.124.127126
25025.32.124.128/2525.32.124.129 to 25.32.124.25425.32.124.255126
25125.32.125.0/2525.32.125.1 to 25.32.125.12625.32.125.127126
25225.32.125.128/2525.32.125.129 to 25.32.125.25425.32.125.255126
25325.32.126.0/2525.32.126.1 to 25.32.126.12625.32.126.127126
25425.32.126.128/2525.32.126.129 to 25.32.126.25425.32.126.255126
25525.32.127.0/2525.32.127.1 to 25.32.127.12625.32.127.127126
25625.32.127.128/2525.32.127.129 to 25.32.127.25425.32.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses